<template>
  <div class="sidebar-control" :class="{ dark: !$store.state.sidebar }">
    <a href="#" @click.prevent="show" class="show-sidebar" v-if="!$store.state.sidebar">
      <i class="el-icon-menu"></i>
    </a>
    <div class="brand">DDL</div>
    <a href="#" @click.prevent="hide" class="hide-sidebar" v-if="$store.state.sidebar">
      <i class="el-icon-arrow-left"></i>
    </a>
  </div>
</template>

<script>
export default {
  methods: {
    hide () {
      this.$store.dispatch('hideSidebar')
    },

    show () {
      this.$store.dispatch('showSidebar')
    }
  }
}
</script>

<style lang="scss" scoped>
.sidebar-control {
  text-align: center;
  position: relative;

  .show-sidebar,
  .hide-sidebar {
    position: absolute;
    right: 0;
    top: 10px;
    height: 50px;
    width: 50px;
    line-height: 50px;
    color: #fff;
  }

  .show-sidebar {
    left: 0;
    right: auto;
    margin-left: 16px;
  }
}
</style>
